unit uPluginRecibosCliente;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCRecibosCliente = interface(IInterface)
  ['{9078C6E6-6733-4CD8-BCBF-DEC48A322CF7}']
  end;

  TPluginRecibosCliente = class(TModuleController, IMCRecibosCliente)
    actRecibosCliente: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Compras1: TMenuItem;
    RecibosdeCliente1: TMenuItem;
    procedure actRecibosClienteExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uRecibosClienteController, uBizRecibosCliente, uRecibosClienteViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginRecibosCliente.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginRecibosCliente.actRecibosClienteExecute(Sender: TObject);
var
  ARecibosClienteController : IRecibosClienteController;
  ARecibosCliente : IBizRecibosCliente;

begin
  ARecibosClienteController := TRecibosClienteController.Create;
  ARecibosCliente := (ARecibosClienteController.BuscarTodos as IBizRecibosCliente);
  ARecibosClienteController.VerTodos(ARecibosCliente);
end;

constructor TPluginRecibosCliente.Create(AOwner: TComponent);
begin
  inherited;
  uRecibosClienteViewRegister.RegisterViews;
end;

destructor TPluginRecibosCliente.Destroy;
begin
  uRecibosClienteViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginRecibosCliente);

finalization
  UnRegisterModuleClass(TPluginRecibosCliente);

end.
